@echo off

set IMPORT_DIR=%1

set IMPORTED=%IMPORT_DIR%\imported

mkdir %IMPORTED%

REM cd "C:\Program Files\DGCP\Xemelios\Xemelios\root"

for /F "delims=;" %%f in ('dir /b /on %IMPORT_DIR%\*.xar') do echo Import de %%f & java -jar import-batch.jar -u admin -i no -d xemelios.archive -f "%IMPORT_DIR%\%%f" && move "%IMPORT_DIR%\%%f" %IMPORTED%

echo Import termine.
@echo on